#!/bin/sh

WVERSION=1.4

# make a package.
cd mozilla/xpinstall/packager
make MOZ_PKG_APPNAME=wazilla
cd ../../..

rm -rf pkg
mkdir -p pkg/usr/lib
cd pkg/usr/lib

tar zxf ../../../mozilla/dist/wazilla-i686-pc-linux-gnu.tar.gz
mv wazilla wazilla-${WVERSION}
ln -s wazilla-${WVERSION} mozilla
cd wazilla-${WVERSION}
tar zxf ../../../../plamo_prefs.tar.gz
cd ..
cd ../..
mkdir -p usr/bin

cat > usr/bin/mozilla <<EOF
#!/bin/sh
#
cd /usr/lib/wazilla-${WVERSION}
exec ./mozilla "\$@"

EOF
chmod 755 usr/bin/mozilla

cp -p usr/lib/wazilla-${WVERSION}/mozilla usr/lib/wazilla-${WVERSION}/mozilla.orig 
cp -p usr/lib/wazilla-${WVERSION}/wazilla usr/lib/wazilla-${WVERSION}/wazilla.orig 
cat usr/lib/wazilla-${WVERSION}/wazilla.orig | sed -e 's|/usr/local/lib/mozilla|/usr/lib/wazilla|' > usr/lib/wazilla-${WVERSION}/wazilla.tmp
cat usr/lib/wazilla-${WVERSION}/mozilla.orig | sed -e 's|/usr/local/lib/mozilla|/usr/lib/wazilla|' > usr/lib/wazilla-${WVERSION}/mozilla.tmp

cat usr/lib/wazilla-${WVERSION}/wazilla.tmp | sed -e 's|/usr/local/|/usr/|' > usr/lib/wazilla-${WVERSION}/wazilla
cat usr/lib/wazilla-${WVERSION}/mozilla.tmp | sed -e 's|/usr/local/|/usr/|' > usr/lib/wazilla-${WVERSION}/mozilla
rm usr/lib/wazilla-${WVERSION}/wazilla.tmp usr/lib/wazilla-${WVERSION}/mozilla.tmp
chmod 755 usr/lib/wazilla-${WVERSION}/wazilla
chmod 755 usr/lib/wazilla-${WVERSION}/mozilla

cd ..

# building plugger
cd plugger
sh plamobuild.sh
mv pkg/usr/lib/netscape pkg/usr/lib/wazilla-${WVERSION}
cd pkg
tar cf foo.tar usr etc
cd ..
cd ..

cd pkg
tar xf ../plugger/pkg/foo.tar
rm ../plugger/pkg/foo.tar
chown -R root:root usr/lib/wazilla-${WVERSION}
cd ..

